Debian Bug report logs - #527264
qemu-system-arm: segfaults when launched with > 256 MB of RAM

version graph

Package: qemu; Maintainer for qemu is Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>; Source for qemu is src:qemu.

Reported by: Stephane Glondu <steph@glondu.net>

Date: Wed, 6 May 2009 13:18:02 UTC

Severity: normal

Found in version qemu/0.10.2-2

Fixed in version qemu/0.10.4-1

Done: Aurelien Jarno <aurel32@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>:
Bug#527264; Package qemu. (Wed, 06 May 2009 13:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephane Glondu <steph@glondu.net>:
New Bug report received and forwarded. Copy sent to Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>. (Wed, 06 May 2009 13:18:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stephane Glondu <steph@glondu.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: qemu-system-arm: segfaults when launched with > 256 MB of RAM
Date: Wed, 06 May 2009 15:15:41 +0200
Package: qemu
Version: 0.10.2-2
Severity: normal

I think the subject says pretty much everything...

Cheers,

-- 
Stephane

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages qemu depends on:
ii  bochsbios              2.3.7+20090416-1  BIOS for the Bochs emulator
ii  libasound2             1.0.19-1          shared library for ALSA applicatio
ii  libbluetooth2          3.36-1            Library to use the BlueZ Linux Blu
ii  libbrlapi0.5           3.10~r3724-1.1    braille display access via BRLTTY 
ii  libc6                  2.9-4             GNU C Library: Shared libraries
ii  libesd0                0.2.41-3          Enlightened Sound Daemon - Shared 
ii  libgnutls26            2.6.4-2           the GNU TLS library - runtime libr
ii  libncurses5            5.7+20090404-1    shared libraries for terminal hand
ii  libpulse0              0.9.14-2          PulseAudio client libraries
ii  libsdl1.2debian        1.2.13-4+b1       Simple DirectMedia Layer
ii  libvdeplug2            2.2.2-3           Virtual Distributed Ethernet - Plu
ii  libx11-6               2:1.2.1-1         X11 client-side library
ii  openbios-ppc           1.0-3             PowerPC Open Firmware
ii  openbios-sparc         1.0-1             SPARC Open Firmware
ii  openhackware           0.4.1-4           OpenFirmware emulator for PowerPC
ii  vgabios                0.6c-1            VGA BIOS software for the Bochs an
ii  zlib1g                 1:1.2.3.3.dfsg-13 compression library - runtime

Versions of packages qemu recommends:
ii  debootstrap                 1.0.10lenny1 Bootstrap a basic Debian system
ii  sharutils                   1:4.6.3-1    shar, unshar, uuencode, uudecode
pn  vde2                        <none>       (no description available)

Versions of packages qemu suggests:
ii  kqemu-source                1.4.0~pre1-2 Source for the QEMU Accelerator mo
pn  samba                       <none>       (no description available)
ii  sudo                        1.7.0-1      Provide limited super user privile

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>:
Bug#527264; Package qemu. (Wed, 06 May 2009 18:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>. (Wed, 06 May 2009 18:24:03 GMT) Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Stephane Glondu <steph@glondu.net>, 527264@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#527264: qemu-system-arm: segfaults when launched with > 256 MB of RAM
Date: Wed, 06 May 2009 19:36:09 +0200
Stephane Glondu a écrit :
> Package: qemu
> Version: 0.10.2-2
> Severity: normal
> 
> I think the subject says pretty much everything...
> 

That's because you can't use more than 256 MB on the versatile board
(the peripherals are mapped at this address). I'll add a check.

-- 
Aurelien Jarno	                        GPG: 1024D/F1BCDB73
aurelien@aurel32.net                 http://www.aurel32.net




Information forwarded to debian-bugs-dist@lists.debian.org, Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>:
Bug#527264; Package qemu. (Wed, 06 May 2009 18:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>. (Wed, 06 May 2009 18:24:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>:
Bug#527264; Package qemu. (Wed, 06 May 2009 18:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stéphane Glondu <steph@glondu.net>:
Extra info received and forwarded to list. Copy sent to Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>. (Wed, 06 May 2009 18:57:02 GMT) Full text and rfc822 format available.

Message #20 received at 527264@bugs.debian.org (full text, mbox):

From: Stéphane Glondu <steph@glondu.net>
To: Aurelien Jarno <aurelien@aurel32.net>
Cc: 527264@bugs.debian.org
Subject: Re: Bug#527264: qemu-system-arm: segfaults when launched with > 256 MB of RAM
Date: Wed, 06 May 2009 20:58:43 +0200
Aurelien Jarno a écrit :
>> I think the subject says pretty much everything...
> 
> That's because you can't use more than 256 MB on the versatile board
> (the peripherals are mapped at this address). I'll add a check.

Ok. Are there other ARM-based machines that qemu can emulate, where the
armel port of Debian works properly, and that supports more than 256 MB
of RAM? If so, maybe they could be advertised to the user when the check
for versatile fails.


Thanks,

-- 
Stéphane





Information forwarded to debian-bugs-dist@lists.debian.org, Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>:
Bug#527264; Package qemu. (Wed, 06 May 2009 19:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>. (Wed, 06 May 2009 19:21:03 GMT) Full text and rfc822 format available.

Message #25 received at 527264@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Stéphane Glondu <steph@glondu.net>
Cc: 527264@bugs.debian.org
Subject: Re: Bug#527264: qemu-system-arm: segfaults when launched with > 256 MB of RAM
Date: Wed, 6 May 2009 21:19:06 +0200
On Wed, May 06, 2009 at 08:58:43PM +0200, Stéphane Glondu wrote:
> Aurelien Jarno a écrit :
> >> I think the subject says pretty much everything...
> > 
> > That's because you can't use more than 256 MB on the versatile board
> > (the peripherals are mapped at this address). I'll add a check.
> 
> Ok. Are there other ARM-based machines that qemu can emulate, where the
> armel port of Debian works properly, and that supports more than 256 MB
> of RAM? If so, maybe they could be advertised to the user when the check
> for versatile fails.
> 

Currently all boards are limited to 256MB. There is a project to emulate
the beagleboard in QEMU, but the code is currently developed apart from
QEMU.

-- 
Aurelien Jarno	                        GPG: 1024D/F1BCDB73
aurelien@aurel32.net                 http://www.aurel32.net




Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. (Wed, 13 May 2009 00:54:20 GMT) Full text and rfc822 format available.

Notification sent to Stephane Glondu <steph@glondu.net>:
Bug acknowledged by developer. (Wed, 13 May 2009 00:54:20 GMT) Full text and rfc822 format available.

Message #30 received at 527264-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 527264-close@bugs.debian.org
Subject: Bug#527264: fixed in qemu 0.10.4-1
Date: Wed, 13 May 2009 00:32:11 +0000
Source: qemu
Source-Version: 0.10.4-1

We believe that the bug you reported is fixed in the latest version of
qemu, which is due to be installed in the Debian FTP archive:

libqemu-dev_0.10.4-1_amd64.deb
  to pool/main/q/qemu/libqemu-dev_0.10.4-1_amd64.deb
qemu_0.10.4-1.diff.gz
  to pool/main/q/qemu/qemu_0.10.4-1.diff.gz
qemu_0.10.4-1.dsc
  to pool/main/q/qemu/qemu_0.10.4-1.dsc
qemu_0.10.4-1_amd64.deb
  to pool/main/q/qemu/qemu_0.10.4-1_amd64.deb
qemu_0.10.4.orig.tar.gz
  to pool/main/q/qemu/qemu_0.10.4.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 527264@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated qemu package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 12 May 2009 18:31:29 +0200
Source: qemu
Binary: qemu libqemu-dev
Architecture: source amd64
Version: 0.10.4-1
Distribution: unstable
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 libqemu-dev - static libraries and headers for QEMU
 qemu       - fast processor emulator
Closes: 526832 527264
Changes: 
 qemu (0.10.4-1) unstable; urgency=low
 .
   * New upstream version.
   * debian/NEWS.Debian: new file, describing the cache policy options
     (closes: bug#526832).
   * debian/patches/70_versatile_memsize.patch: new patch to set a upper
     limit on the memory size of the versatile boards (closes:
     bug#527264).
Checksums-Sha1: 
 4a83710989d49c613acdb71c4df4339993ee5803 1731 qemu_0.10.4-1.dsc
 c8d8b0699a703804fbd7cae83d9c560e65816c3e 3192066 qemu_0.10.4.orig.tar.gz
 c21540869f79f0e455bd6cd08a7f47b96a72139f 34647 qemu_0.10.4-1.diff.gz
 57fd702d48c12dc321882937fef9b5fc8ec72eec 15814348 qemu_0.10.4-1_amd64.deb
 df630fd44d3e3cf0a3ce2b60ef4cd11d36764c77 4830782 libqemu-dev_0.10.4-1_amd64.deb
Checksums-Sha256: 
 fc2039b953eeae687a51c7f36844d334f037d14c4e34ae1a7e64a00a449af5d4 1731 qemu_0.10.4-1.dsc
 c87dc56f09255afcd8d3a88e567312a0c81b73bc72c7a4649b9673c42ac1b402 3192066 qemu_0.10.4.orig.tar.gz
 a6b886acd824bd12d2d86fa8e5495c0fd376ae98c9cb8e820f218f4ec23d6af8 34647 qemu_0.10.4-1.diff.gz
 1103713165616e5407c2ad39de768193472d067f12bc636e19bcbf96b21486f5 15814348 qemu_0.10.4-1_amd64.deb
 8a3c211b640a15f81562ce38d78796a22d5e5a58dc378517fb9c5cf43c42cbf5 4830782 libqemu-dev_0.10.4-1_amd64.deb
Files: 
 b0350a7827cd1cc8c9a66226ecd463fe 1731 misc optional qemu_0.10.4-1.dsc
 2516d361da78ca0c4a03f30166644c72 3192066 misc optional qemu_0.10.4.orig.tar.gz
 92013904166e5a709df154181f016ea4 34647 misc optional qemu_0.10.4-1.diff.gz
 8e2c5a8e79a5d4e6b1e0d99f1741ac01 15814348 misc optional qemu_0.10.4-1_amd64.deb
 8f770071b4e21f98947b3cb1950e0fec 4830782 libdevel optional libqemu-dev_0.10.4-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFKChH1w3ao2vG823MRAt2IAKCMBpgbtAmMeuWD18g6uWxXw8hGIQCeNZVr
YcVwWrjYgBIEln3KZemy2qw=
=DMN9
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 20 Jun 2009 07:29:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 03:10:16 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.